# Uses of Class
org.snpsift.annotate.mem.arrays.StringArrayBase

Packages that use StringArrayBase
Package
Description
org.snpsift.annotate.mem.arrays
org.snpsift.annotate.mem.dataFrame.dataFrameColumn

## Uses of StringArrayBase in org.snpsift.annotate.mem.arrays

Subclasses of StringArrayBase in org.snpsift.annotate.mem.arrays
Modifier and Type
Class
Description
`class`
`EnumArray`
The EnumArray class is a specialized array for storing and managing strings as enumerated values.
`class`
`StringArray`
The StringArray class implements a memory-efficient array of strings.

## Uses of StringArrayBase in org.snpsift.annotate.mem.dataFrame.dataFrameColumn

Methods in org.snpsift.annotate.mem.dataFrame.dataFrameColumn that return StringArrayBase
Modifier and Type
Method
Description
`StringArrayBase`
DataFrameColumnString.`getData()`
Get the data, used for testing